<?php
if (!defined('ABSPATH')) {
    exit;
}

return apply_filters('wc_ipasspay_host_settings',
    array(
        'enabled' => array(
            'title' => __('Enable/Disable', 'woocommerce-gateway-ipasspay-host'),
            'label' => __('Enable Ipasspay-Host', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'checkbox',
            'description' => '',
            'default' => 'yes',
        ),
        'title' => array(
            'title' => __('Title', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('This controls the title which the user sees during checkout.', 'woocommerce-gateway-ipasspay-host'),
            'default' => __('Credit Card', 'woocommerce-gateway-ipasspay-host'),
            'desc_tip' => true,
        ),
        'description' => array(
            'title' => __('Description', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('This controls the description which the user sees during checkout.', 'woocommerce-gateway-ipasspay-host'),
            'default' => __('Pay with your credit card.', 'woocommerce-gateway-ipasspay-host'),
            'desc_tip' => true,
        ),

        'mid' => array(
            'title' => __('Merchant ID', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('Get your merchant_id from your ipasspay-host account.', 'woocommerce-gateway-ipasspay-host'),
            'default' => '',
            'desc_tip' => true,
        ),
        'app_id' => array(
            'title' => __('APP ID', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('Get your App ID from your ipasspay-host account.', 'woocommerce-gateway-ipasspay-host'),
            'default' => '',
            'desc_tip' => true,
        ),
        'api_secret' => array(
            'title' => __('API SECRET', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('Get your API SECRET from your ipasspay-host account.', 'woocommerce-gateway-ipasspay-host'),
            'default' => '',
            'desc_tip' => true,
        ),

        'gateway_url' => array(
            'title' => __('Gateway URL', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('Get your Gateway URL from your ipasspay-host account.', 'woocommerce-gateway-ipasspay-host'),
            'default' => 'https://service.ipasspay.biz/gateway/Index/checkout',
            'desc_tip' => true,
        ),

        /*
        'gateway_version' => array(
            'title' => __('Gateway Version', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('Get your Gateway version from your ipasspay-host account.', 'woocommerce-gateway-ipasspay-host'),
            'default' => '1.0',
            'desc_tip' => true,
        ),
        */

        'gateway_version' => array(
            'title' => __('Gateway Version', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'select',
            'class' => 'wc-enhanced-select',
            'description' => __('Get your Gateway version from your ipasspay-host account.', 'woocommerce-gateway-ipasspay-host'),
            'default' => '1.0',
            'desc_tip' => true,
            'options' => array(
                '1.0' => __('1.0', 'woocommerce-gateway-ipasspay-host'),
                '2.0' => __('2.0', 'woocommerce-gateway-ipasspay-host'),
                '3.0' => __('3.0', 'woocommerce-gateway-ipasspay-host'),
            ),
        ),

        'asyn_url' => array(
            'title' => __('Notify URL', 'woocommerce-gateway-ipasspay-host'),
            'type' => 'text',
            'description' => __('We will carry transaction information and return to this interface when the transaction is completed.', 'woocommerce-gateway-ipasspay-host'),
            'default' => 'http://' . $_SERVER['HTTP_HOST'] . '/wc-api/wc_gateway_ipasspay_host',
            'desc_tip' => true,
        ),


        /*
               'syn_url' => array(
                   'title' => __('Syn Url', 'woocommerce-gateway-ipasspay-host'),
                   'type' => 'text',
                   'description' => __('We will carry transaction information and return to this page when the transaction is completed. ', 'woocommerce-gateway-ipasspay-host'),
                   'default' => $_SERVER['HTTP_HOST'],
                   'desc_tip' => true,
               ),

                'asyn_url' => array(
                       'title' => __('Asyn Url', 'woocommerce-gateway-ipasspay-host'),
                       'type' => 'text',
                       'description' => __('We will carry transaction information and return to this interface when the transaction is completed. ', 'woocommerce-gateway-ipasspay-host'),
                       'default' => $_SERVER['HTTP_HOST'] . '/wc-api/wc_gateway_ipasspay_host',
                       'desc_tip' => true,
                   ),

               'ipasspay_host_checkout_locale' => array(
                   'title' => __('Ipasspay-Host Checkout locale', 'woocommerce-gateway-ipasspay-host'),
                   'type' => 'select',
                   'class' => 'wc-enhanced-select',
                   'description' => __('Language to display in iPasspay Checkout modal. Specify Auto to display Checkout in the user\'s preferred language, if available. English will be used by default.', 'woocommerce-gateway-ipasspay-host'),
                   'default' => 'en',
                   'desc_tip' => true,
                   'options' => array(
                       'auto' => __('Auto', 'woocommerce-gateway-ipasspay-host'),
                       'zh' => __('Simplified Chinese', 'woocommerce-gateway-ipasspay-host'),
                       'nl' => __('Dutch', 'woocommerce-gateway-ipasspay-host'),
                       'en' => __('English', 'woocommerce-gateway-ipasspay-host'),
                       'fr' => __('French', 'woocommerce-gateway-ipasspay-host'),
                       'de' => __('German', 'woocommerce-gateway-ipasspay-host'),
                       'it' => __('Italian', 'woocommerce-gateway-ipasspay-host'),
                       'ja' => __('Japanese', 'woocommerce-gateway-ipasspay-host'),
                       'es' => __('Spanish', 'woocommerce-gateway-ipasspay-host'),
                   ),
               ),
         */
    )
);
